## camkeyd 0.0.1-1

=== Makefile ===
all: camkeyd

camkeyd: camkeyd.o
	cc -o camkeyd -Wall `pkg-config --libs dbus-glib-1 hal glib-2.0` camkeyd.o

camkeyd.o: camkeyd.c
	cc -o camkeyd.o -Wall `pkg-config --cflags dbus-glib-1 hal glib-2.0` -c camkeyd.c

clean:
	rm -f *.o *~ camkeyd

=== debian/changelog ===
camkeyd (0.0.1-1) unstable; urgency=low

  * Initial release

 -- Heikki Holstila <heikki.holstila@unlink.org>  Tue, 24 Nov 2009 22:57:46 +0200

=== debian/control ===
Source: camkeyd
Section: user/system
Priority: optional
Maintainer: Heikki Holstila <heikki.holstila@unlink.org>
Build-Depends: debhelper (>= 5), libdbus-glib-1-dev, libglib2.0-dev, libhal-dev
Standards-Version: 3.7.2

Package: camkeyd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Allows the camera button to be used to access dashboard.
 Allows the camera button (focus) to be used to access dashboard when
 the lens cover is on. Useful with fullscreen applications. No configuration,
 simply install to enable and uninstall to disable.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/camkeyd.sgml > camkeyd.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/camkeyd.
	#$(MAKE) DESTDIR=$(CURDIR)/debian/camkeyd install
	install -D ./camkeyd $(CURDIR)/debian/camkeyd/usr/sbin/camkeyd
	install -D ./debian/event $(CURDIR)/debian/camkeyd/etc/event.d/camkeyd
	chmod -x $(CURDIR)/debian/camkeyd/etc/event.d/camkeyd

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit -n
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## camkeyd 0.0.1-2

=== debian/changelog ===
camkeyd (0.0.1-2) unstable; urgency=low

  * Cleanup

 -- Heikki Holstila <heikki.holstila@gmail.com>  Tue, 24 Nov 2009 22:57:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: camkeyd
 Section: user/system
 Priority: optional
-Maintainer: Heikki Holstila <heikki.holstila@unlink.org>
+Maintainer: Heikki Holstila <heikki.holstila@gmail.com>
 Build-Depends: debhelper (>= 5), libdbus-glib-1-dev, libglib2.0-dev, libhal-dev
 Standards-Version: 3.7.2

## camkeyd 0.0.2-2

=== Makefile ===
all: camkeyd

camkeyd: camkeyd.o
	cc -o camkeyd -Wall `pkg-config --libs dbus-glib-1 hal glib-2.0 x11 xtst xi` camkeyd.o

camkeyd.o: camkeyd.c
	cc -o camkeyd.o -Wall `pkg-config --cflags dbus-glib-1 hal glib-2.0 x11 xtst xi` -c camkeyd.c

clean:
	rm -f *.o *~ camkeyd

=== debian/changelog ===
camkeyd (0.0.2-2) unstable; urgency=low

  * Fixed build-depends

 -- Heikki Holstila <heikki.holstila@gmail.com>  Wed,  2 Dec 2009 15:11:05 +0200

camkeyd (0.0.2-1) unstable; urgency=low

  * Emulate ctrl-backspace instead of using dbus to access the dashboard

 -- Heikki Holstila <heikki.holstila@gmail.com>  Wed,  2 Dec 2009 01:15:27 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/system
 Priority: optional
 Maintainer: Heikki Holstila <heikki.holstila@gmail.com>
-Build-Depends: debhelper (>= 5), libdbus-glib-1-dev, libglib2.0-dev, libhal-dev
+Build-Depends: debhelper (>= 5), libdbus-glib-1-dev, libglib2.0-dev, libhal-dev, libx11-dev, libxtst-dev, libxi-dev
 Standards-Version: 3.7.2
 
 Package: camkeyd
